Issue with applet update on 0x51C

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Issue with applet update on 0x51C

Jump to solution
722 Views
vishwanchandapu
Contributor III

Hi,

 
We are trying to update the applet from version 6.0(OEFID- A564) to 7.2(OEFID -A8FA).
As of now we are using a prebuilt sems_lite_ex_update given in latest SDK .

How ever we are getting below error.

App :ERROR:SEMS Lite Target Entity ID Mismatch!!!
App :ERROR:May be wrong OEF.

There is mismatch of targetEntityID .

Could you please help us here.

Regards

Vishwa

0 Kudos
1 Solution
680 Views
Kan_Li
NXP TechSupport
NXP TechSupport

Hi @vishwanchandapu ,

 

The update package in the latest MW/SDK is for OEF A8FA only, if you use it for another OEF, for example, A564,  you may have to fetch the proper applet update file from the edgelock2go service. There is an AN on this topic, please kindly refer to https://www.nxp.com/webapp/Download?colCode=AN12907&location=null for details.

 

BTW , you may check the OEF info of your device according to "SE05x-MW-v04.03.00/simw-top/doc/appendix/se_uid.html".

 

Hope that makes sense,

 

Have a great day,
Kan


-------------------------------------------------------------------------------
Note:
- If this post answers your question, please click the "Mark Correct" button. Thank you!
- We are following threads for 7 weeks after the last post, later replies are ignored
Please open a new thread and refer to the closed one, if you have a related question at a later point in time.
-------------------------------------------------------------------------------

 

View solution in original post

0 Kudos
3 Replies
690 Views
vishwanchandapu
Contributor III

 

Thanks for the email.

Yes, I am trying 7.3 provided in latest SDK but the got the same error.

And also, could you please let me know more about "generic package" mentioned in previous reply.  

vishwanchandapu_0-1676298605209.png

 

0 Kudos
681 Views
Kan_Li
NXP TechSupport
NXP TechSupport

Hi @vishwanchandapu ,

 

The update package in the latest MW/SDK is for OEF A8FA only, if you use it for another OEF, for example, A564,  you may have to fetch the proper applet update file from the edgelock2go service. There is an AN on this topic, please kindly refer to https://www.nxp.com/webapp/Download?colCode=AN12907&location=null for details.

 

BTW , you may check the OEF info of your device according to "SE05x-MW-v04.03.00/simw-top/doc/appendix/se_uid.html".

 

Hope that makes sense,

 

Have a great day,
Kan


-------------------------------------------------------------------------------
Note:
- If this post answers your question, please click the "Mark Correct" button. Thank you!
- We are following threads for 7 weeks after the last post, later replies are ignored
Please open a new thread and refer to the closed one, if you have a related question at a later point in time.
-------------------------------------------------------------------------------

 

0 Kudos
711 Views
Kan_Li
NXP TechSupport
NXP TechSupport

Hi @vishwanchandapu ,

 

I am wondering if you applied the update package for OEFID -A8FA to the devices with OEFID- A564, for devices with OEFID- A564 you may use the generic package .

 

BTW, there is ver 7.3 available now, you may try the latest.

 

Please kindly let me know if the problem is still there.

 

Have a great day,
Kan


-------------------------------------------------------------------------------
Note:
- If this post answers your question, please click the "Mark Correct" button. Thank you!
- We are following threads for 7 weeks after the last post, later replies are ignored
Please open a new thread and refer to the closed one, if you have a related question at a later point in time.
-------------------------------------------------------------------------------

0 Kudos